" VIM Syntax file for txr
" Kaz Kylheku <kaz@kylheku.com>

" INSTALL-HOWTO:
"
" 1. Create the directory .vim/syntax in your home directory and
"    put the files txr.vim and tl.vim into this directory.
" 2. In your .vimrc, add this command to associate *.txr, *.tl and *.tlo
"    files with the txr and tl filetypes:
"    :au BufRead,BufNewFile *.txr set filetype=txr | set lisp
"    :au BufRead,BufNewFile *.tl,*.tlo set filetype=tl | set lisp
"
" If you want syntax highlighting to be on automatically (for any language)
" you need to add ":syntax on" in your .vimrc also. But you knew that already!
"
" This file is generated by the genvim.txr script in the TXR source tree.

syn case match
syn spell toplevel

setlocal iskeyword=a-z,A-Z,48-57,!,$,%,&,*,+,-,<,=,>,?,\\,_,~,/,^

syn keyword tl_keyword contained %e% %pi% * *args*
syn keyword tl_keyword contained *args-eff* *args-full* *child-env* *doc-url*
syn keyword tl_keyword contained *filters* *full-args* *gensym-counter* *hash-seed*
syn keyword tl_keyword contained *lib-version* *listener-greedy-eval-p* *listener-hist-len* *listener-multi-line-p*
syn keyword tl_keyword contained *listener-pprint-p* *listener-sel-inclusive-p* *load-hooks* *load-path*
syn keyword tl_keyword contained *load-search-dirs* *match-macro* *opt-level* *package*
syn keyword tl_keyword contained *package-alist* *param-macro* *place-clobber-expander* *place-delete-expander*
syn keyword tl_keyword contained *place-macro* *place-update-expander* *pprint-flo-format* *print-base*
syn keyword tl_keyword contained *print-circle* *print-flo-digits* *print-flo-format* *print-flo-precision*
syn keyword tl_keyword contained *random-state* *random-warmup* *read-bad-json* *read-unknown-structs*
syn keyword tl_keyword contained *rec-source-loc* *stddebug* *stderr* *stdin*
syn keyword tl_keyword contained *stdlog* *stdnull* *stdout* *struct-clause-expander*
syn keyword tl_keyword contained *trace-output* *tree-fun-whitelist* *txr-version* *unhandled-hook*
syn keyword tl_keyword contained + - / /=
syn keyword tl_keyword contained : :abandoned :abs :addr
syn keyword tl_keyword contained :all :android :apf :append
syn keyword tl_keyword contained :args :atime :auto :awk-again
syn keyword tl_keyword contained :awk-file :awk-rec :begin :begin-file
syn keyword tl_keyword contained :blksize :blocks :bool :byte-oriented
syn keyword tl_keyword contained :cdigit :chars :cint :close
syn keyword tl_keyword contained :continue :counter :cspace :ctime
syn keyword tl_keyword contained :cword-char :cygnal :cygwin :dec
syn keyword tl_keyword contained :decline :delegate :dev :digit
syn keyword tl_keyword contained :downcase :end :end-file :env
syn keyword tl_keyword contained :eq-based :eql-based :equal-based :explicit-no
syn keyword tl_keyword contained :fallback :fd :fence :fields
syn keyword tl_keyword contained :filter :fini :finish :float
syn keyword tl_keyword contained :form :from-current :from-end :from-start
syn keyword tl_keyword contained :from_html :frombase64 :frombase64url :fromhtml
syn keyword tl_keyword contained :frompercent :fromurl :fun :function
syn keyword tl_keyword contained :gap :gid :greedy :hex
syn keyword tl_keyword contained :hextoint :inf :init :ino
syn keyword tl_keyword contained :inp :inputs :instance :into
syn keyword tl_keyword contained :key :let :lfilt :lines
syn keyword tl_keyword contained :linux :list :lists :local
syn keyword tl_keyword contained :longest :macos :mandatory :mass-delegate
syn keyword tl_keyword contained :match :maxgap :maxtimes :method
syn keyword tl_keyword contained :mid :mingap :mintimes :mode
syn keyword tl_keyword contained :mtime :name :named :next-spec
syn keyword tl_keyword contained :nlink :nothrow :oct :openbsd
syn keyword tl_keyword contained :outf :outp :output :owner
syn keyword tl_keyword contained :perms :postinit :prio :rdev
syn keyword tl_keyword contained :real-time :reflect :repeat-spec :resolve
syn keyword tl_keyword contained :rfilt :set :set-file :shortest
syn keyword tl_keyword contained :size :solaris :solaris10 :space
syn keyword tl_keyword contained :static :str :string :symacro
syn keyword tl_keyword contained :symlinks :text :times :tlist
syn keyword tl_keyword contained :to_html :tobase64 :tobase64url :tofloat
syn keyword tl_keyword contained :tohtml :tohtml* :toint :tonumber
syn keyword tl_keyword contained :topercent :tourl :uid :unknown
syn keyword tl_keyword contained :upcase :use :use-from :use-syms
syn keyword tl_keyword contained :userdata :var :vars :weak-and
syn keyword tl_keyword contained :weak-keys :weak-or :weak-vals :whole
syn keyword tl_keyword contained :word-char :wrap < <=
syn keyword tl_keyword contained = > >= abort
syn keyword tl_keyword contained abs abs-path-p acons acons-new
syn keyword tl_keyword contained aconsql-new acos acosh add-suffix
syn keyword tl_keyword contained ado af-inet af-inet6 af-unix
syn keyword tl_keyword contained af-unspec ai-addrconfig ai-all ai-canonname
syn keyword tl_keyword contained ai-numerichost ai-numericserv ai-passive ai-v4mapped
syn keyword tl_keyword contained alet align alignof alist-nremove
syn keyword tl_keyword contained alist-remove all allocate-struct and
syn keyword tl_keyword contained andf ap apf append
syn keyword tl_keyword contained append* append-each append-each* append-each-prod
syn keyword tl_keyword contained append-each-prod* append-match-products append-matches apply
syn keyword tl_keyword contained aret array arraysize ash
syn keyword tl_keyword contained asin asinh assert assoc
syn keyword tl_keyword contained assq assql at-exit-call at-exit-do-not-call
syn keyword tl_keyword contained atan atan2 atanh atom
syn keyword tl_keyword contained awk base-name base64-decode base64-decode-buf
syn keyword tl_keyword contained base64-encode base64-stream-dec base64-stream-enc base64url-decode
syn keyword tl_keyword contained base64url-decode-buf base64url-encode base64url-stream-dec base64url-stream-enc
syn keyword tl_keyword contained bchar be-double be-float be-int16
syn keyword tl_keyword contained be-int32 be-int64 be-uint16 be-uint32
syn keyword tl_keyword contained be-uint64 bignum-len bignump bindable
syn keyword tl_keyword contained bit bitset blkcnt-t blksize-t
syn keyword tl_keyword contained block block* bool boundp
syn keyword tl_keyword contained bracket break-str brkint bs0
syn keyword tl_keyword contained bs1 bsdly bstr bstr-d
syn keyword tl_keyword contained bstr-s buf buf-alloc-size buf-carray
syn keyword tl_keyword contained buf-d buf-get-char buf-get-cptr buf-get-double
syn keyword tl_keyword contained buf-get-float buf-get-i16 buf-get-i32 buf-get-i64
syn keyword tl_keyword contained buf-get-i8 buf-get-int buf-get-long buf-get-short
syn keyword tl_keyword contained buf-get-u16 buf-get-u32 buf-get-u64 buf-get-u8
syn keyword tl_keyword contained buf-get-uchar buf-get-uint buf-get-ulong buf-get-ushort
syn keyword tl_keyword contained buf-int buf-list buf-put-buf buf-put-char
syn keyword tl_keyword contained buf-put-cptr buf-put-double buf-put-float buf-put-i16
syn keyword tl_keyword contained buf-put-i32 buf-put-i64 buf-put-i8 buf-put-int
syn keyword tl_keyword contained buf-put-long buf-put-short buf-put-u16 buf-put-u32
syn keyword tl_keyword contained buf-put-u64 buf-put-u8 buf-put-uchar buf-put-uint
syn keyword tl_keyword contained buf-put-ulong buf-put-ushort buf-set-length buf-str
syn keyword tl_keyword contained buf-trim buf-uint bufp build
syn keyword tl_keyword contained build-list buildn built-in-type-p butlast
syn keyword tl_keyword contained butlastn caaaaar caaaadr caaaar
syn keyword tl_keyword contained caaadar caaaddr caaadr caaar
syn keyword tl_keyword contained caadaar caadadr caadar caaddar
syn keyword tl_keyword contained caadddr caaddr caadr caar
syn keyword tl_keyword contained cadaaar cadaadr cadaar cadadar
syn keyword tl_keyword contained cadaddr cadadr cadar caddaar
syn keyword tl_keyword contained caddadr caddar cadddar caddddr
syn keyword tl_keyword contained cadddr caddr cadr call
syn keyword tl_keyword contained call-clobber-expander call-delete-expander call-finalizers call-super-fun
syn keyword tl_keyword contained call-super-method call-update-expander callf car
syn keyword tl_keyword contained carray carray-blank carray-buf carray-buf-sync
syn keyword tl_keyword contained carray-cptr carray-dup carray-free carray-get
syn keyword tl_keyword contained carray-getz carray-int carray-list carray-own
syn keyword tl_keyword contained carray-pun carray-put carray-putz carray-ref
syn keyword tl_keyword contained carray-refset carray-replace carray-set-length carray-sub
syn keyword tl_keyword contained carray-type carray-uint carray-vec carrayp
syn keyword tl_keyword contained caseq caseq* caseql caseql*
syn keyword tl_keyword contained casequal casequal* cat-files cat-str
syn keyword tl_keyword contained cat-streams cat-vec catch catch*
syn keyword tl_keyword contained catch** catenated-stream-p catenated-stream-push cbaud
syn keyword tl_keyword contained cbaudex cdaaaar cdaaadr cdaaar
syn keyword tl_keyword contained cdaadar cdaaddr cdaadr cdaar
syn keyword tl_keyword contained cdadaar cdadadr cdadar cdaddar
syn keyword tl_keyword contained cdadddr cdaddr cdadr cdar
syn keyword tl_keyword contained cddaaar cddaadr cddaar cddadar
syn keyword tl_keyword contained cddaddr cddadr cddar cdddaar
syn keyword tl_keyword contained cdddadr cdddar cddddar cdddddr
syn keyword tl_keyword contained cddddr cdddr cddr cdr
syn keyword tl_keyword contained ceil ceil-rem chain chand
syn keyword tl_keyword contained char chdir chmod chmod-rec
syn keyword tl_keyword contained chown chown-rec chr-digit chr-int
syn keyword tl_keyword contained chr-isalnum chr-isalpha chr-isascii chr-isblank
syn keyword tl_keyword contained chr-iscntrl chr-isdigit chr-isgraph chr-islower
syn keyword tl_keyword contained chr-isprint chr-ispunct chr-isspace chr-isunisp
syn keyword tl_keyword contained chr-isupper chr-isxdigit chr-num chr-str
syn keyword tl_keyword contained chr-str-set chr-tolower chr-toupper chr-xdigit
syn keyword tl_keyword contained chrp clamp clear-dirty clear-error
syn keyword tl_keyword contained clear-mask clear-struct clearhash clocal
syn keyword tl_keyword contained clock-t clockid-t close close-stream
syn keyword tl_keyword contained closedir closelog closure cmp-str
syn keyword tl_keyword contained cmspar coded-length collect-each collect-each*
syn keyword tl_keyword contained collect-each-prod collect-each-prod* comb command-get
syn keyword tl_keyword contained command-get-buf command-get-json command-get-jsons command-get-lines
syn keyword tl_keyword contained command-get-string command-put command-put-buf command-put-json
syn keyword tl_keyword contained command-put-jsons command-put-lines command-put-string compare-swap
syn keyword tl_keyword contained compile compile-defr-warning compile-error compile-file
syn keyword tl_keyword contained compile-only compile-toplevel compile-update-file compile-warning
syn keyword tl_keyword contained compl-span-str cond conda condlet
syn keyword tl_keyword contained cons conses conses* consp
syn keyword tl_keyword contained constantp contain[s] copy copy-alist
syn keyword tl_keyword contained copy-buf copy-carray copy-cons copy-cptr
syn keyword tl_keyword contained copy-file copy-files copy-fun copy-hash
syn keyword tl_keyword contained copy-list copy-path-rec copy-search-tree copy-str
syn keyword tl_keyword contained copy-struct copy-tnode copy-tree copy-tree-iter
syn keyword tl_keyword contained copy-vec cos cosh count-if
syn keyword tl_keyword contained count-until-match countq countql countqual
syn keyword tl_keyword contained cptr cptr-buf cptr-carray cptr-cast
syn keyword tl_keyword contained cptr-free cptr-get cptr-int cptr-null
syn keyword tl_keyword contained cptr-obj cptr-out cptr-size-hint cptr-type
syn keyword tl_keyword contained cptr-zap cptrp cr0 cr1
syn keyword tl_keyword contained cr2 cr3 crc32 crc32-stream
syn keyword tl_keyword contained crdly cread crtscts crypt
syn keyword tl_keyword contained cs5 cs6 cs7 cs8
syn keyword tl_keyword contained csize cstopb cum-norm-dist cxr
syn keyword tl_keyword contained cyr daemon dec defer-warning
syn keyword tl_keyword contained defex deffi deffi-cb deffi-cb-unsafe
syn keyword tl_keyword contained deffi-struct deffi-sym deffi-type deffi-union
syn keyword tl_keyword contained deffi-var define-accessor define-modify-macro define-option-struct
syn keyword tl_keyword contained define-param-expander define-place-macro define-struct-clause defmacro
syn keyword tl_keyword contained defmatch defmeth defpackage defparm
syn keyword tl_keyword contained defparml defplace defset defstruct
syn keyword tl_keyword contained defsymacro defun defun-match defvar
syn keyword tl_keyword contained defvarl del delay delcons
syn keyword tl_keyword contained delete-package dev-t diff digits
syn keyword tl_keyword contained digpow dir-name dirstat disassemble
syn keyword tl_keyword contained display-width divides dlclose dlopen
syn keyword tl_keyword contained dlsym dlsym-checked dlvsym dlvsym-checked
syn keyword tl_keyword contained do doc dohash doloop
syn keyword tl_keyword contained doloop* dotimes double downcase-str
syn keyword tl_keyword contained drop drop-until drop-while dt-blk
syn keyword tl_keyword contained dt-chr dt-dir dt-fifo dt-lnk
syn keyword tl_keyword contained dt-reg dt-sock dt-unknown dump-compiled-objects
syn keyword tl_keyword contained dump-deferred-warnings dup dupfd dwim
syn keyword tl_keyword contained e2big eacces each each*
syn keyword tl_keyword contained each-false each-match each-match-product each-prod
syn keyword tl_keyword contained each-prod* each-true eaddrinuse eaddrnotavail
syn keyword tl_keyword contained eafnosupport eagain ealready ebadf
syn keyword tl_keyword contained ebadmsg ebusy ecanceled ecaseq
syn keyword tl_keyword contained ecaseq* ecaseql ecaseql* ecasequal
syn keyword tl_keyword contained ecasequal* echild echo echoctl
syn keyword tl_keyword contained echoe echok echoke echonl
syn keyword tl_keyword contained echoprt econnaborted econnrefused econnreset
syn keyword tl_keyword contained edeadlk edestaddrreq edom edquot
syn keyword tl_keyword contained eexist efault efbig ehostunreach
syn keyword tl_keyword contained eidrm eighth eilseq einprogress
syn keyword tl_keyword contained eintr einval eio eisconn
syn keyword tl_keyword contained eisdir elemsize elemtype eloop
syn keyword tl_keyword contained emfile emlink empty emsgsize
syn keyword tl_keyword contained emultihop enametoolong endgrent endp
syn keyword tl_keyword contained endpwent ends-with enetdown enetreset
syn keyword tl_keyword contained enetunreach enfile enobufs enodata
syn keyword tl_keyword contained enodev enoent enoexec enolck
syn keyword tl_keyword contained enolink enomem enomsg enoprotoopt
syn keyword tl_keyword contained enospc enosr enostr enosys
syn keyword tl_keyword contained enotconn enotdir enotempty enotrecoverable
syn keyword tl_keyword contained enotsock enotsup enotty ensure-dir
syn keyword tl_keyword contained enum enumed env env-fbind
syn keyword tl_keyword contained env-fbindings env-hash env-next env-vbind
syn keyword tl_keyword contained env-vbindings enxio eopnotsupp eoverflow
syn keyword tl_keyword contained eownerdead eperm epipe eproto
syn keyword tl_keyword contained eprotonosupport eprototype eq eql
syn keyword tl_keyword contained equal equot erange erofs
syn keyword tl_keyword contained errno error espipe esrch
syn keyword tl_keyword contained estale etime etimedout etxtbsy
syn keyword tl_keyword contained etypecase eval eval-only evenp
syn keyword tl_keyword contained ewouldblock exception-subtype-map exception-subtype-p exdev
syn keyword tl_keyword contained exec exit exit* exp
syn keyword tl_keyword contained expand expand* expand-left expand-right
syn keyword tl_keyword contained expand-with-free-refs expt exptmod extproc
syn keyword tl_keyword contained f$ f-dupfd f-dupfd-cloexec f-getfd
syn keyword tl_keyword contained f-getfl f-getlk f-rdlck f-setfd
syn keyword tl_keyword contained f-setfl f-setlk f-setlkw f-unlck
syn keyword tl_keyword contained f-wrlck f^ f^$ false
syn keyword tl_keyword contained fboundp fcntl fd-cloexec ff0
syn keyword tl_keyword contained ff1 ffdly ffi ffi-alignof
syn keyword tl_keyword contained ffi-arraysize ffi-call ffi-elemsize ffi-elemtype
syn keyword tl_keyword contained ffi-get ffi-in ffi-make-call-desc ffi-make-closure
syn keyword tl_keyword contained ffi-offsetof ffi-out ffi-put ffi-put-into
syn keyword tl_keyword contained ffi-size ffi-type-compile ffi-type-operator-p ffi-type-p
syn keyword tl_keyword contained ffi-typedef fifth file-append file-append-buf
syn keyword tl_keyword contained file-append-json file-append-jsons file-append-lines file-append-string
syn keyword tl_keyword contained file-get file-get-buf file-get-json file-get-jsons
syn keyword tl_keyword contained file-get-lines file-get-string file-place-buf file-put
syn keyword tl_keyword contained file-put-buf file-put-json file-put-jsons file-put-lines
syn keyword tl_keyword contained file-put-string fileno fill-buf fill-buf-adjust
syn keyword tl_keyword contained fill-carray fill-obj fill-vec filter-equal
syn keyword tl_keyword contained filter-string-tree finalize find find-frame
syn keyword tl_keyword contained find-frames find-frames-by-mask find-if find-max
syn keyword tl_keyword contained find-max-key find-min find-min-key find-package
syn keyword tl_keyword contained find-struct-type find-symbol find-symbol-fb find-true
syn keyword tl_keyword contained first fixnum-max fixnum-min fixnump
syn keyword tl_keyword contained flatcar flatcar* flatten flatten*
syn keyword tl_keyword contained flet flip flipargs flo-dig
syn keyword tl_keyword contained flo-down flo-epsilon flo-get-round-mode flo-int
syn keyword tl_keyword contained flo-max flo-max-dig flo-min flo-near
syn keyword tl_keyword contained flo-set-round-mode flo-str flo-up flo-zero
syn keyword tl_keyword contained float floatp floor floor-rem
syn keyword tl_keyword contained flow flush-stream flusho fmakunbound
syn keyword tl_keyword contained fmt fnm-casefold fnm-extmatch fnm-leading-dir
syn keyword tl_keyword contained fnm-noescape fnm-pathname fnm-period fnmatch
syn keyword tl_keyword contained for for* force force-break
syn keyword tl_keyword contained fork format fourth fr$
syn keyword tl_keyword contained fr^ fr^$ from frr
syn keyword tl_keyword contained fsblkcnt-t fsfilcnt-t fstat ftw
syn keyword tl_keyword contained ftw-actionretval ftw-chdir ftw-continue ftw-d
syn keyword tl_keyword contained ftw-depth ftw-dnr ftw-dp ftw-f
syn keyword tl_keyword contained ftw-mount ftw-ns ftw-phys ftw-skip-siblings
syn keyword tl_keyword contained ftw-skip-subtree ftw-sl ftw-sln ftw-stop
syn keyword tl_keyword contained fun fun-fixparam-count fun-optparam-count fun-variadic
syn keyword tl_keyword contained func-get-env func-get-form func-get-name func-set-env
syn keyword tl_keyword contained functionp gcd gen gen-hash-seed
syn keyword tl_keyword contained generate gensym gequal get-buf-from-stream
syn keyword tl_keyword contained get-byte get-char get-clobber-expander get-delete-expander
syn keyword tl_keyword contained get-error get-error-str get-frames get-hash-userdata
syn keyword tl_keyword contained get-indent get-indent-mode get-json get-jsons
syn keyword tl_keyword contained get-line get-line-as-buf get-lines get-list-from-stream
syn keyword tl_keyword contained get-obj get-sig-handler get-stack-limit get-string
syn keyword tl_keyword contained get-string-from-stream get-update-expander getaddrinfo getegid
syn keyword tl_keyword contained getenv geteuid getgid getgrent
syn keyword tl_keyword contained getgrgid getgrnam getgroups gethash
syn keyword tl_keyword contained getitimer getopts getpid getppid
syn keyword tl_keyword contained getpwent getpwnam getpwuid getresgid
syn keyword tl_keyword contained getresuid getrlimit getuid gid-t
syn keyword tl_keyword contained ginterate giterate glob glob-altdirfunc
syn keyword tl_keyword contained glob-brace glob-err glob-mark glob-nocheck
syn keyword tl_keyword contained glob-noescape glob-nomagic glob-nosort glob-onlydir
syn keyword tl_keyword contained glob-period glob-tilde glob-tilde-check go
syn keyword tl_keyword contained grade greater group-by group-map
syn keyword tl_keyword contained group-reduce gun handle handle*
syn keyword tl_keyword contained handler-bind hash hash-alist hash-begin
syn keyword tl_keyword contained hash-construct hash-count hash-diff hash-eql
syn keyword tl_keyword contained hash-equal hash-from-alist hash-from-pairs hash-invert
syn keyword tl_keyword contained hash-isec hash-keys hash-keys-of hash-list
syn keyword tl_keyword contained hash-next hash-pairs hash-peek hash-proper-subset
syn keyword tl_keyword contained hash-reset hash-revget hash-subset hash-symdiff
syn keyword tl_keyword contained hash-uni hash-update hash-update-1 hash-userdata
syn keyword tl_keyword contained hash-values hash-zip hashp have
syn keyword tl_keyword contained hlet hlet* html-decode html-encode
syn keyword tl_keyword contained html-encode* hupcl iapply icanon
syn keyword tl_keyword contained icrnl id-t identity identity*
syn keyword tl_keyword contained ido iexten if if-match
syn keyword tl_keyword contained ifa iff iffi iflet
syn keyword tl_keyword contained ignbrk igncr ignerr ignpar
syn keyword tl_keyword contained ignwarn imaxbel improper-plist-to-alist in
syn keyword tl_keyword contained in-package in-range in-range* in6addr-any
syn keyword tl_keyword contained in6addr-loopback in6addr-str inaddr-any inaddr-loopback
syn keyword tl_keyword contained inaddr-str inc inc-indent indent-code
syn keyword tl_keyword contained indent-data indent-foff indent-off inhash
syn keyword tl_keyword contained inlcr ino-t inpck int
syn keyword tl_keyword contained int-buf int-carray int-chr int-cptr
syn keyword tl_keyword contained int-flo int-ptr-t int-str int16
syn keyword tl_keyword contained int32 int64 int8 integerp
syn keyword tl_keyword contained intern intern-fb interp-fun-p interpose
syn keyword tl_keyword contained intmax-t inv-cum-norm invoke-catch ip
syn keyword tl_keyword contained ipf ipproto-ip ipproto-ipv6 ipproto-tcp
syn keyword tl_keyword contained ipproto-udp ipv6-join-group ipv6-leave-group ipv6-multicast-hops
syn keyword tl_keyword contained ipv6-multicast-if ipv6-multicast-loop ipv6-unicast-hops ipv6-v6only
syn keyword tl_keyword contained iread isatty isec isecp
syn keyword tl_keyword contained isig isqrt istrip iter-begin
syn keyword tl_keyword contained iter-item iter-more iter-reset iter-step
syn keyword tl_keyword contained iterable itimer-prof itimer-real itimer-virtual
syn keyword tl_keyword contained iuclc iutf8 ixany ixoff
syn keyword tl_keyword contained ixon join join-with json
syn keyword tl_keyword contained juxt keep-if keep-if* keep-match-products
syn keyword tl_keyword contained keep-matches keepq keepql keepqual
syn keyword tl_keyword contained key key-t keyword-package keywordp
syn keyword tl_keyword contained kill labels lambda lambda-match
syn keyword tl_keyword contained last lazy-str lazy-str-force lazy-str-force-upto
syn keyword tl_keyword contained lazy-str-get-trailing-list lazy-stream-cons lazy-stringp lchown
syn keyword tl_keyword contained lcm lcons lcons-car lcons-cdr
syn keyword tl_keyword contained lcons-fun lconsp ldiff ldo
syn keyword tl_keyword contained le-double le-float le-int16 le-int32
syn keyword tl_keyword contained le-int64 le-uint16 le-uint32 le-uint64
syn keyword tl_keyword contained left len length length-buf
syn keyword tl_keyword contained length-carray length-list length-str length-str-<
syn keyword tl_keyword contained length-str-<= length-str-> length-str->= length-vec
syn keyword tl_keyword contained lequal less let let*
syn keyword tl_keyword contained lexical-fun-p lexical-lisp1-binding lexical-var-p lib-version
syn keyword tl_keyword contained link lisp-parse list list*
syn keyword tl_keyword contained list-carray list-seq list-str list-vec
syn keyword tl_keyword contained list-vector listp lnew lnew*
syn keyword tl_keyword contained load load-for load-time loff-t
syn keyword tl_keyword contained log log-alert log-auth log-authpriv
syn keyword tl_keyword contained log-cons log-crit log-daemon log-debug
syn keyword tl_keyword contained log-emerg log-err log-info log-ndelay
syn keyword tl_keyword contained log-notice log-nowait log-odelay log-perror
syn keyword tl_keyword contained log-pid log-user log-warning log10
syn keyword tl_keyword contained log2 logand logcount logior
syn keyword tl_keyword contained lognot logtest logtrunc logxor
syn keyword tl_keyword contained long long-suffix longlong lop
syn keyword tl_keyword contained lset lstat lutimes m$
syn keyword tl_keyword contained m^ m^$ mac-env-param-bind mac-param-bind
syn keyword tl_keyword contained macro-ancestor macro-form-p macro-time macroexpand
syn keyword tl_keyword contained macroexpand-1 macroexpand-1-lisp1 macroexpand-lisp1 macrolet
syn keyword tl_keyword contained madv-dodump madv-dofork madv-dontdump madv-dontfork
syn keyword tl_keyword contained madv-dontneed madv-free madv-hugepage madv-hwpoison
syn keyword tl_keyword contained madv-keeponfork madv-mergeable madv-nohugepage madv-normal
syn keyword tl_keyword contained madv-random madv-remove madv-sequential madv-unmergeable
syn keyword tl_keyword contained madv-willneed madv-wipeonfork madvise major
syn keyword tl_keyword contained make-buf make-buf-stream make-byte-input-stream make-catenated-stream
syn keyword tl_keyword contained make-env make-hash make-lazy-cons make-lazy-struct
syn keyword tl_keyword contained make-like make-package make-random-state make-similar-hash
syn keyword tl_keyword contained make-similar-tree make-string-byte-input-stream make-string-input-stream make-string-output-stream
syn keyword tl_keyword contained make-strlist-input-stream make-strlist-output-stream make-struct make-struct-delegate-stream
syn keyword tl_keyword contained make-struct-type make-sym make-time make-time-utc
syn keyword tl_keyword contained make-trie make-union make-zstruct makedev
syn keyword tl_keyword contained makunbound map-anon map-fixed map-growsdown
syn keyword tl_keyword contained map-huge-mask map-huge-shift map-hugetlb map-locked
syn keyword tl_keyword contained map-nonblock map-noreserve map-populate map-private
syn keyword tl_keyword contained map-shared map-stack mapcar mapcar*
syn keyword tl_keyword contained mapdo mapf maphash mappend
syn keyword tl_keyword contained mappend* maprend maprod maprodo
syn keyword tl_keyword contained mask match match-case match-ecase
syn keyword tl_keyword contained match-error match-fboundp match-fun match-regex
syn keyword tl_keyword contained match-regex-right match-regst match-regst-right match-str
syn keyword tl_keyword contained match-str-tree max mboundp md5
syn keyword tl_keyword contained md5-begin md5-end md5-hash md5-stream
syn keyword tl_keyword contained member member-if memp memq
syn keyword tl_keyword contained memql memqual meq meql
syn keyword tl_keyword contained mequal merge merge-delete-package meth
syn keyword tl_keyword contained method min minor minusp
syn keyword tl_keyword contained mismatch mkdir mkdtemp mkfifo
syn keyword tl_keyword contained mknod mkstemp mkstring mlet
syn keyword tl_keyword contained mmakunbound mmap mod mode-t
syn keyword tl_keyword contained mprotect ms-async ms-invalidate ms-sync
syn keyword tl_keyword contained msync mul-each mul-each* mul-each-prod
syn keyword tl_keyword contained mul-each-prod* multi multi-sort munmap
syn keyword tl_keyword contained n-choose-k n-perm-k nand nandf
syn keyword tl_keyword contained nconc neg neq neql
syn keyword tl_keyword contained nequal new new* nexpand-left
syn keyword tl_keyword contained nil nilf ninth nl0
syn keyword tl_keyword contained nl1 nldly nlink-t noflsh
syn keyword tl_keyword contained none nor norf not
syn keyword tl_keyword contained notf nreconc nreverse nrot
syn keyword tl_keyword contained nshuffle nsort nth nthcdr
syn keyword tl_keyword contained nthlast null nullify num-chr
syn keyword tl_keyword contained num-str numberp nzerop o-accmode
syn keyword tl_keyword contained o-append o-async o-cloexec o-creat
syn keyword tl_keyword contained o-direct o-directory o-noatime o-noctty
syn keyword tl_keyword contained o-nofollow o-nonblock o-path o-rdonly
syn keyword tl_keyword contained o-rdwr o-sync o-trunc o-wronly
syn keyword tl_keyword contained oand obtain obtain* obtain*-block
syn keyword tl_keyword contained obtain-block ocrnl oddp ofdel
syn keyword tl_keyword contained off-t offsetof ofill olcuc
syn keyword tl_keyword contained onlcr onlret onocr op
syn keyword tl_keyword contained open-command open-directory open-file open-fileno
syn keyword tl_keyword contained open-files open-files* open-pipe open-process
syn keyword tl_keyword contained open-socket open-socket-pair open-subprocess open-tail
syn keyword tl_keyword contained opendir openlog opip opost
syn keyword tl_keyword contained opt opthelp opthelp-conventions opthelp-types
syn keyword tl_keyword contained or orf package-alist package-fallback-list
syn keyword tl_keyword contained package-foreign-symbols package-local-symbols package-name package-symbols
syn keyword tl_keyword contained packagep pad page-size pairlis
syn keyword tl_keyword contained parenb parmrk parodd parse-errors
syn keyword tl_keyword contained partition partition* partition-by partition-if
syn keyword tl_keyword contained path-blkdev-p path-cat path-chrdev-p path-dir-empty
syn keyword tl_keyword contained path-dir-p path-equal path-executable-to-me-p path-exists-p
syn keyword tl_keyword contained path-file-p path-mine-p path-my-group-p path-newer
syn keyword tl_keyword contained path-older path-pipe-p path-private-to-me-p path-read-writable-to-me-p
syn keyword tl_keyword contained path-readable-to-me-p path-same-object path-search path-sep-chars
syn keyword tl_keyword contained path-setgid-p path-setuid-p path-sock-p path-sticky-p
syn keyword tl_keyword contained path-strictly-private-to-me-p path-symlink-p path-writable-to-me-p pdec
syn keyword tl_keyword contained pendin perm pic pid-t
syn keyword tl_keyword contained pinc pipe place-form-p placelet
syn keyword tl_keyword contained placelet* plist-to-alist plusp poll
syn keyword tl_keyword contained poll-err poll-in poll-nval poll-out
syn keyword tl_keyword contained poll-pri poll-rdband poll-rdhup poll-wrband
syn keyword tl_keyword contained poly pop pop-after-load portable-abs-path-p
syn keyword tl_keyword contained pos pos-if pos-max pos-min
syn keyword tl_keyword contained posq posql posqual pppred
syn keyword tl_keyword contained ppred pprinl pprint pprof
syn keyword tl_keyword contained pred prinl print prod
syn keyword tl_keyword contained prof prog prog* prog1
syn keyword tl_keyword contained prog2 progn promisep prop
syn keyword tl_keyword contained proper-list-p proper-listp prot-exec prot-growsdown
syn keyword tl_keyword contained prot-growsup prot-none prot-read prot-write
syn keyword tl_keyword contained pset ptr ptr-in ptr-in-d
syn keyword tl_keyword contained ptr-out ptr-out-d ptr-out-s ptrdiff-t
syn keyword tl_keyword contained pub:txr-sym pure-rel-path-p purge-deferred-warning push
syn keyword tl_keyword contained push-after-load pushhash pushnew put-buf
syn keyword tl_keyword contained put-byte put-carray put-char put-json
syn keyword tl_keyword contained put-jsonl put-jsons put-line put-lines
syn keyword tl_keyword contained put-obj put-string put-strings pwd
syn keyword tl_keyword contained qquote qref quantile quip
syn keyword tl_keyword contained quote r$ r^ r^$
syn keyword tl_keyword contained raise rand random random-buf
syn keyword tl_keyword contained random-fixnum random-float random-float-incl random-sample
syn keyword tl_keyword contained random-state-get-vec random-state-p range range*
syn keyword tl_keyword contained range-regex rangep rassoc rassq
syn keyword tl_keyword contained rassql rcomb rcons read
syn keyword tl_keyword contained read-once read-until-match readdir readlink
syn keyword tl_keyword contained real-time-stream-p realpath record-adapter reduce-left
syn keyword tl_keyword contained reduce-right ref refset regex-compile
syn keyword tl_keyword contained regex-from-trie regex-optimize regex-parse regex-prefix-match
syn keyword tl_keyword contained regex-source regexp register-exception-subtypes register-tentative-def
syn keyword tl_keyword contained regsub rehome-sym reject rel-path
syn keyword tl_keyword contained relate release-deferred-warnings remhash remove-if
syn keyword tl_keyword contained remove-if* remove-path remove-path-rec remq
syn keyword tl_keyword contained remq* remql remql* remqual
syn keyword tl_keyword contained remqual* rename-path repeat replace
syn keyword tl_keyword contained replace-buf replace-env replace-list replace-str
syn keyword tl_keyword contained replace-struct replace-tree-iter replace-vec reset-struct
syn keyword tl_keyword contained rest ret retf return
syn keyword tl_keyword contained return* return-from revappend reverse
syn keyword tl_keyword contained rfind rfind-if right rlcp
syn keyword tl_keyword contained rlcp-tree rlet rlim-infinity rlim-saved-cur
syn keyword tl_keyword contained rlim-saved-max rlimit-as rlimit-core rlimit-cpu
syn keyword tl_keyword contained rlimit-data rlimit-fsize rlimit-nofile rlimit-stack
syn keyword tl_keyword contained rlist rlist* rmdir rmember
syn keyword tl_keyword contained rmember-if rmemq rmemql rmemqual
syn keyword tl_keyword contained rmismatch rot rotate round
syn keyword tl_keyword contained round-rem rperm rplaca rplacd
syn keyword tl_keyword contained rpoly rpos rpos-if rposq
syn keyword tl_keyword contained rposql rposqual rr rra
syn keyword tl_keyword contained rsearch rslot rtld-deepbind rtld-global
syn keyword tl_keyword contained rtld-lazy rtld-local rtld-nodelete rtld-noload
syn keyword tl_keyword contained rtld-now run s-ifblk s-ifchr
syn keyword tl_keyword contained s-ifdir s-ififo s-iflnk s-ifmt
syn keyword tl_keyword contained s-ifreg s-ifsock s-irgrp s-iroth
syn keyword tl_keyword contained s-irusr s-irwxg s-irwxo s-irwxu
syn keyword tl_keyword contained s-isgid s-isuid s-isvtx s-iwgrp
syn keyword tl_keyword contained s-iwoth s-iwusr s-ixgrp s-ixoth
syn keyword tl_keyword contained s-ixusr save-exe sbit scan-until-match
syn keyword tl_keyword contained search search-regex search-regst search-str
syn keyword tl_keyword contained search-str-tree second seek-cur seek-end
syn keyword tl_keyword contained seek-set seek-stream select self-load-path
syn keyword tl_keyword contained self-path separate seq-begin seq-next
syn keyword tl_keyword contained seq-reset seqp set set-diff
syn keyword tl_keyword contained set-hash-userdata set-indent set-indent-mode set-key
syn keyword tl_keyword contained set-left set-mask set-max-depth set-max-length
syn keyword tl_keyword contained set-package-fallback-list set-right set-sig-handler set-stack-limit
syn keyword tl_keyword contained setegid setenv seteuid setgid
syn keyword tl_keyword contained setgrent setgroups sethash setitimer
syn keyword tl_keyword contained setlogmask setpwent setresgid setresuid
syn keyword tl_keyword contained setrlimit setuid seventh sh
syn keyword tl_keyword contained sha256 sha256-begin sha256-end sha256-hash
syn keyword tl_keyword contained sha256-stream shift short short-suffix
syn keyword tl_keyword contained shuffle shut-rd shut-rdwr shut-wr
syn keyword tl_keyword contained sig-abrt sig-alrm sig-atomic-t sig-bus
syn keyword tl_keyword contained sig-check sig-chld sig-cont sig-fpe
syn keyword tl_keyword contained sig-hup sig-ill sig-int sig-io
syn keyword tl_keyword contained sig-iot sig-kill sig-pipe sig-poll
syn keyword tl_keyword contained sig-prof sig-pwr sig-quit sig-segv
syn keyword tl_keyword contained sig-stkflt sig-stop sig-sys sig-term
syn keyword tl_keyword contained sig-trap sig-tstp sig-ttin sig-ttou
syn keyword tl_keyword contained sig-urg sig-usr1 sig-usr2 sig-vtalrm
syn keyword tl_keyword contained sig-winch sig-xcpu sig-xfsz sign-extend
syn keyword tl_keyword contained signum sin sinh sixth
syn keyword tl_keyword contained size-t size-vec sizeof slet
syn keyword tl_keyword contained slot slotp slots slotset
syn keyword tl_keyword contained so-acceptconn so-broadcast so-debug so-dontroute
syn keyword tl_keyword contained so-error so-keepalive so-linger so-oobinline
syn keyword tl_keyword contained so-rcvbuf so-rcvlowat so-rcvtimeo so-reuseaddr
syn keyword tl_keyword contained so-sndbuf so-sndlowat so-sndtimeo so-type
syn keyword tl_keyword contained sock-accept sock-bind sock-cloexec sock-connect
syn keyword tl_keyword contained sock-dgram sock-family sock-listen sock-nonblock
syn keyword tl_keyword contained sock-opt sock-peer sock-recv-timeout sock-send-timeout
syn keyword tl_keyword contained sock-set-opt sock-set-peer sock-shutdown sock-stream
syn keyword tl_keyword contained sock-type socklen-t sol-socket some
syn keyword tl_keyword contained some-false some-true sort sort-group
syn keyword tl_keyword contained source-loc source-loc-str span-str special-operator-p
syn keyword tl_keyword contained special-var-p spl splice split
syn keyword tl_keyword contained split* split-str split-str-set sqrt
syn keyword tl_keyword contained square ssize-t sspl sssucc
syn keyword tl_keyword contained ssucc starts-with stat static-slot
syn keyword tl_keyword contained static-slot-ensure static-slot-home static-slot-p static-slot-set
syn keyword tl_keyword contained stdlib str str-buf str-d
syn keyword tl_keyword contained str-in6addr str-in6addr-net str-inaddr str-inaddr-net
syn keyword tl_keyword contained str-s str-seq str< str<=
syn keyword tl_keyword contained str= str> str>= stream-get-prop
syn keyword tl_keyword contained stream-set-prop streamp strerror string-extend
syn keyword tl_keyword contained string-finish string-get-code string-lt string-set-code
syn keyword tl_keyword contained stringp strsignal struct struct-from-args
syn keyword tl_keyword contained struct-from-plist struct-get-initfun struct-get-postinitfun struct-set-initfun
syn keyword tl_keyword contained struct-set-postinitfun struct-type struct-type-name struct-type-p
syn keyword tl_keyword contained structp sub sub-buf sub-list
syn keyword tl_keyword contained sub-str sub-tree sub-vec subq
syn keyword tl_keyword contained subql subqual subst subtypep
syn keyword tl_keyword contained succ sum sum-each sum-each*
syn keyword tl_keyword contained sum-each-prod sum-each-prod* super super-method
syn keyword tl_keyword contained suspend swap symacrolet symbol-function
syn keyword tl_keyword contained symbol-macro symbol-name symbol-package symbol-value
syn keyword tl_keyword contained symbolp symdiff symlink sys:%backpatch-high16%
syn keyword tl_keyword contained sys:%backpatch-low16% sys:%big-endian% sys:%bin-op% sys:%bin-ops%
syn keyword tl_keyword contained sys:%block-using-funs% sys:%call-op% sys:%const-foldable% sys:%const-foldable-funs%
syn keyword tl_keyword contained sys:%dbg-command-env% sys:%effect-free% sys:%effect-free-funs% sys:%eval-cache%
syn keyword tl_keyword contained sys:%functional% sys:%functional-funs% sys:%gcall-op% sys:%lev-bits%
syn keyword tl_keyword contained sys:%lev-size% sys:%max-lambda-fixed-args% sys:%max-lev% sys:%max-lev-idx%
syn keyword tl_keyword contained sys:%max-sm-lev% sys:%max-sm-lev-idx% sys:%max-v-lev% sys:%nary-ops%
syn keyword tl_keyword contained sys:%oc-code% sys:%oc-hash% sys:%oc-list-builder% sys:%package-manip%
syn keyword tl_keyword contained sys:%param-info% sys:%quip-rand-state% sys:%quips% sys:%shuffled-quips%
syn keyword tl_keyword contained sys:%sm-lev-bits% sys:%sm-lev-size% sys:%test-funs% sys:%test-funs-neg%
syn keyword tl_keyword contained sys:%test-funs-ops% sys:%test-funs-pos% sys:%test-inv% sys:%test-opcode%
syn keyword tl_keyword contained sys:%tlo-ver% sys:*dedup* sys:*emit* sys:*eval*
syn keyword tl_keyword contained sys:*in-compilation-unit* sys:*load-recursive* sys:*load-time* sys:*match-form*
syn keyword tl_keyword contained sys:*op-ctx* sys:*pl-env* sys:*pl-form* sys:*top-level*
syn keyword tl_keyword contained sys:*trace-hash* sys:*trace-level* sys:*unchecked-calls* sys:abscond*
syn keyword tl_keyword contained sys:abscond-from sys:add-neg-parens sys:analyze-argtypes sys:analyze-params
syn keyword tl_keyword contained sys:apply sys:arith-each sys:asm-error sys:assumed-fun
syn keyword tl_keyword contained sys:autoload-try-fun sys:awk%--rng sys:awk%--rng+ sys:awk%--rng-
syn keyword tl_keyword contained sys:awk%-rng+ sys:awk%rng+ sys:awk-code-move-check sys:awk-error
syn keyword tl_keyword contained sys:awk-expander sys:awk-field-name-code sys:awk-fun-let sys:awk-fun-shadowing-env
syn keyword tl_keyword contained sys:awk-mac-let sys:awk-redir sys:awk-symac-let sys:awk-test
syn keyword tl_keyword contained sys:b* sys:b+ sys:b- sys:b/
syn keyword tl_keyword contained sys:b< sys:b<= sys:b= sys:b=>
syn keyword tl_keyword contained sys:b> sys:bad-slot-syntax sys:bind-mac-check sys:bind-mac-error
syn keyword tl_keyword contained sys:bindable-check sys:bits sys:bits-to-obj sys:blk
syn keyword tl_keyword contained sys:build-expander sys:capture-cont sys:catch sys:check
syn keyword tl_keyword contained sys:check-end sys:check-slot sys:check-struct sys:check-sym
syn keyword tl_keyword contained sys:circref sys:comma-positions sys:compat sys:compile-and-match
syn keyword tl_keyword contained sys:compile-as-match sys:compile-atom-match sys:compile-cons-structure sys:compile-exprs-match
syn keyword tl_keyword contained sys:compile-file-conditionally sys:compile-hash-match sys:compile-loop-match sys:compile-match
syn keyword tl_keyword contained sys:compile-new-var-match sys:compile-not-match sys:compile-or-match sys:compile-predicate-match
syn keyword tl_keyword contained sys:compile-range-match sys:compile-require-match sys:compile-scan-match sys:compile-struct-match
syn keyword tl_keyword contained sys:compile-var-match sys:compile-vec-match sys:compile-with-match sys:compiler-emit-warnings
syn keyword tl_keyword contained sys:conv sys:conv-expand sys:conv-expand-sym sys:conv-let
syn keyword tl_keyword contained sys:ctx-form sys:ctx-name sys:dbg-all sys:dbg-backtrace
syn keyword tl_keyword contained sys:dbg-clear sys:dbg-enable sys:dbg-restore sys:dbg-set
syn keyword tl_keyword contained sys:dbg-step sys:debugger sys:dedup sys:dedup-labels
syn keyword tl_keyword contained sys:deffi-cb-expander sys:define-method sys:defset-expander sys:defset-expander-simple
syn keyword tl_keyword contained sys:detached-run sys:dig sys:disassemble-cdf sys:dlib-expr
syn keyword tl_keyword contained sys:do-conv sys:do-copy-obj sys:do-path-test sys:do-tweak-obj
syn keyword tl_keyword contained sys:doc-syms sys:dump-to-tlo sys:dvbind sys:dwim-del
syn keyword tl_keyword contained sys:dwim-set sys:dyn-size sys:each-match-expander sys:each-op
syn keyword tl_keyword contained sys:early-peephole sys:enc-small-op sys:ensure-op-arg sys:env-to-let
syn keyword tl_keyword contained sys:eq-comparable sys:eql-comparable sys:eval-cache-emit-warnings sys:eval-err
syn keyword tl_keyword contained sys:expand-and sys:expand-arith-each-prod sys:expand-bind-mac-params sys:expand-defmacro
syn keyword tl_keyword contained sys:expand-defsymacro sys:expand-defun sys:expand-defvarl sys:expand-dohash
syn keyword tl_keyword contained sys:expand-doloop sys:expand-each sys:expand-each-prod sys:expand-each-prod*
syn keyword tl_keyword contained sys:expand-handle sys:expand-lambda-match sys:expand-neg-parens sys:expand-params
syn keyword tl_keyword contained sys:expand-pic sys:expand-pic-align sys:expand-pic-num sys:expand-pic-num-commas
syn keyword tl_keyword contained sys:expand-quasi sys:expand-quasi-args sys:expand-quasi-match sys:expand-quasi-mods
syn keyword tl_keyword contained sys:expand-sym-ref sys:expr sys:fbind sys:find-parent
syn keyword tl_keyword contained sys:fixed-point sys:flatten-or sys:fmt-flex sys:fmt-join
syn keyword tl_keyword contained sys:fmt-simple sys:for-op sys:gc sys:gc-set-delta
syn keyword tl_keyword contained sys:get-buf-common sys:get-fun-getter-setter sys:get-mb sys:get-param-info
syn keyword tl_keyword contained sys:get-place-macro sys:get-var-list sys:get-vars sys:get-vb
syn keyword tl_keyword contained sys:getopts-error sys:handle-bad-syntax sys:hlet-expand sys:if-to-cond
syn keyword tl_keyword contained sys:in6addr-condensed-text sys:insert-commas sys:is-label sys:l1-setq
syn keyword tl_keyword contained sys:l1-val sys:lambda-apply-transform sys:lambda-excess-apply-list sys:lambda-short-apply-list
syn keyword tl_keyword contained sys:lambda-too-few-args sys:lambda-too-many-args sys:lbind sys:lisp1-setq
syn keyword tl_keyword contained sys:lisp1-value sys:list-builder-flets sys:list-from-vm-desc sys:load-time-lit
syn keyword tl_keyword contained sys:loc sys:loosen sys:mac-env-flatten sys:make-anon-package
syn keyword tl_keyword contained sys:make-command-env sys:make-copy-path-opts sys:make-struct-lit sys:make-struct-type
syn keyword tl_keyword contained sys:mark-special sys:match-pat-error sys:misleading-ref-check sys:name-str
syn keyword tl_keyword contained sys:new-expander sys:new-type sys:non-triv-pat-p sys:null-reg
syn keyword tl_keyword contained sys:obtain-impl sys:op-alpha-rename sys:op-ensure-rec sys:op-expand
syn keyword tl_keyword contained sys:op-meta-p sys:op-rec-p sys:open-compile-streams sys:open-url
syn keyword tl_keyword contained sys:operand-to-exp sys:operand-to-sym sys:opip-expand sys:opt-dash
syn keyword tl_keyword contained sys:opt-err sys:orig-form sys:os-symbol sys:param-check
syn keyword tl_keyword contained sys:parse-compound-operand sys:parse-lambda-match-clause sys:parse-operand sys:pat-len
syn keyword tl_keyword contained sys:path-access sys:path-examine sys:path-simplify sys:path-split
syn keyword tl_keyword contained sys:path-test-mode sys:path-test-type sys:path-volume sys:pic-join-opt
syn keyword tl_keyword contained sys:pl-expand sys:placelet-1 sys:print-backtrace sys:propagate-ancestor
syn keyword tl_keyword contained sys:propagate-perms sys:prune-missing-inits sys:qquote sys:quasi
syn keyword tl_keyword contained sys:quasilist sys:r-s-let-expander sys:reduce-constant sys:reduce-lisp
syn keyword tl_keyword contained sys:reduce-or sys:reg-expand-nongreedy sys:register-opcode sys:register-simple-accessor
syn keyword tl_keyword contained sys:repl sys:rewrite sys:rewrite-case sys:rplaca
syn keyword tl_keyword contained sys:rplacd sys:rslotset sys:rt-assert-fail sys:rt-defmacro
syn keyword tl_keyword contained sys:rt-defsymacro sys:rt-defun sys:rt-defv sys:rt-defvarl
syn keyword tl_keyword contained sys:rt-load-for sys:rt-pprof sys:safe-const-eval sys:safe-const-reduce
syn keyword tl_keyword contained sys:safe-constantp sys:set-hash-traversal-limit sys:set-macro-ancestor sys:setq
syn keyword tl_keyword contained sys:setqf sys:simplify-or sys:slot-types sys:small-op-p
syn keyword tl_keyword contained sys:small-op-to-sym sys:splice sys:static-slot-types sys:str-inaddr-net-impl
syn keyword tl_keyword contained sys:struct-lit sys:stuff-key-params sys:subst-preserve sys:switch
syn keyword tl_keyword contained sys:sym-clobber-expander sys:sym-delete-expander sys:sym-update-expander sys:system-symbol-p
syn keyword tl_keyword contained sys:top-fb sys:top-mb sys:top-vb sys:tr*
syn keyword tl_keyword contained sys:trace sys:trace-canonicalize-name sys:trace-enter sys:trace-leave
syn keyword tl_keyword contained sys:trace-redefine-check sys:transform-qquote sys:tree-construct sys:trfm
syn keyword tl_keyword contained sys:true-const-p sys:txr-case-impl sys:typecase-expander sys:unquote
syn keyword tl_keyword contained sys:untrace sys:upenv sys:uw-block sys:uw-captured-block
syn keyword tl_keyword contained sys:uw-catch sys:uw-cont-copy sys:uw-eval sys:uw-expand
syn keyword tl_keyword contained sys:uw-fcall sys:uw-guard sys:uw-handle sys:uw-menv
syn keyword tl_keyword contained sys:var sys:var-pat-p sys:vars-check sys:vm-closure-desc
syn keyword tl_keyword contained sys:vm-closure-entry sys:vm-desc-bytecode sys:vm-desc-datavec sys:vm-desc-nlevels
syn keyword tl_keyword contained sys:vm-desc-nregs sys:vm-desc-symvec sys:vm-execute-toplevel sys:vm-make-desc
syn keyword tl_keyword contained sys:wdwrap sys:when-exprs-match sys:with-disabled-debugging sys:with-dyn-lib-check
syn keyword tl_keyword contained syslog system-package t tab0
syn keyword tl_keyword contained tab1 tab2 tab3 tabdly
syn keyword tl_keyword contained tagbody tailp take take-until
syn keyword tl_keyword contained take-while tan tanh tb
syn keyword tl_keyword contained tc tcdrain tcflow tcflush
syn keyword tl_keyword contained tcgetattr tciflush tcioff tcioflush
syn keyword tl_keyword contained tcion tcoflush tcooff tcoon
syn keyword tl_keyword contained tcp-nodelay tcsadrain tcsaflush tcsanow
syn keyword tl_keyword contained tcsendbreak tcsetattr tentative-def-exists tenth
syn keyword tl_keyword contained test-clear test-clear-dirty test-dec test-dirty
syn keyword tl_keyword contained test-inc test-neq-set-indent-mode test-set test-set-indent-mode
syn keyword tl_keyword contained tf third throw throwf
syn keyword tl_keyword contained time time-fields-local time-fields-utc time-nsec
syn keyword tl_keyword contained time-parse time-parse-local time-parse-utc time-string-local
syn keyword tl_keyword contained time-string-utc time-struct-local time-struct-utc time-t
syn keyword tl_keyword contained time-usec tmpfile tnode tnodep
syn keyword tl_keyword contained to tofloat tofloatz toint
syn keyword tl_keyword contained tointz tojson tok tok-str
syn keyword tl_keyword contained tok-where tostop tostring tostringp
syn keyword tl_keyword contained touch tprint trace transpose
syn keyword tl_keyword contained tree tree-begin tree-bind tree-case
syn keyword tl_keyword contained tree-clear tree-count tree-del-min tree-del-min-node
syn keyword tl_keyword contained tree-delete tree-delete-node tree-delete-specific-node tree-find
syn keyword tl_keyword contained tree-insert tree-insert-node tree-lookup tree-lookup-node
syn keyword tl_keyword contained tree-min tree-min-node tree-next tree-peek
syn keyword tl_keyword contained tree-reset tree-root treep trie-add
syn keyword tl_keyword contained trie-compress trie-lookup-begin trie-lookup-feed-char trie-value-at
syn keyword tl_keyword contained trim-left trim-long-suffix trim-right trim-short-suffix
syn keyword tl_keyword contained trim-str true trunc trunc-rem
syn keyword tl_keyword contained truncate-stream tuples tuples* txr-case
syn keyword tl_keyword contained txr-exe-path txr-if txr-parse txr-path
syn keyword tl_keyword contained txr-version txr-when typecase typedef
syn keyword tl_keyword contained typeof typep ubit uchar
syn keyword tl_keyword contained uid-t uint uint-buf uint-carray
syn keyword tl_keyword contained uint-ptr-t uint16 uint32 uint64
syn keyword tl_keyword contained uint8 uintmax-t ulong ulonglong
syn keyword tl_keyword contained umask umeth umethod uname
syn keyword tl_keyword contained unget-byte unget-char uni unintern
syn keyword tl_keyword contained union union-get union-in union-members
syn keyword tl_keyword contained union-out union-put uniq unique
syn keyword tl_keyword contained unless unquote unsetenv until
syn keyword tl_keyword contained until* untrace unuse-package unuse-sym
syn keyword tl_keyword contained unwind-protect upcase-str upd update
syn keyword tl_keyword contained uref url-decode url-encode use
syn keyword tl_keyword contained use-package use-sym user-package ushort
syn keyword tl_keyword contained usl usleep uslot utimes
syn keyword tl_keyword contained val vdiscard vec vec-carray
syn keyword tl_keyword contained vec-list vec-push vec-seq vec-set-length
syn keyword tl_keyword contained vecref vector vector-list vectorp
syn keyword tl_keyword contained veof veol veol2 verase
syn keyword tl_keyword contained vintr vkill vlnext vm-fun-p
syn keyword tl_keyword contained vmin void vquit vreprint
syn keyword tl_keyword contained vstart vstop vsusp vswtc
syn keyword tl_keyword contained vt0 vt1 vtdly vtime
syn keyword tl_keyword contained vwerase w-continued w-coredump w-exitstatus
syn keyword tl_keyword contained w-ifcontinued w-ifexited w-ifsignaled w-ifstopped
syn keyword tl_keyword contained w-nohang w-stopsig w-termsig w-untraced
syn keyword tl_keyword contained wait wchar weave when
syn keyword tl_keyword contained when-match whena whenlet where
syn keyword tl_keyword contained while while* while-match while-match-case
syn keyword tl_keyword contained while-true-match-case whilet width width-check
syn keyword tl_keyword contained window-map window-mapdo window-mappend wint-t
syn keyword tl_keyword contained with-clobber-expander with-compilation-unit with-delete-expander with-dyn-lib
syn keyword tl_keyword contained with-gensyms with-hash-iter with-in-buf-stream with-in-string-byte-stream
syn keyword tl_keyword contained with-in-string-stream with-objects with-out-buf-stream with-out-string-stream
syn keyword tl_keyword contained with-out-strlist-stream with-resources with-slots with-stream
syn keyword tl_keyword contained with-update-expander wrap wrap* wstr
syn keyword tl_keyword contained wstr-d wstr-s xcase yield
syn keyword tl_keyword contained yield-from zap zarray zchar
syn keyword tl_keyword contained zero-fill zerop zip znew

syn keyword txr_keyword contained accept all and assert
syn keyword txr_keyword contained bind block call cases
syn keyword txr_keyword contained cat catch choose chr
syn keyword txr_keyword contained close coll collect data
syn keyword txr_keyword contained defex deffilter define do
syn keyword txr_keyword contained elif else empty end
syn keyword txr_keyword contained eof eol fail filter
syn keyword txr_keyword contained finally first flatten forget
syn keyword txr_keyword contained freeform fuzz gather if
syn keyword txr_keyword contained include last line load
syn keyword txr_keyword contained local maybe merge mod
syn keyword txr_keyword contained modlast name next none
syn keyword txr_keyword contained or output rebind rep
syn keyword txr_keyword contained repeat require set single
syn keyword txr_keyword contained skip some text throw
syn keyword txr_keyword contained trailer try until var
syn match txr_error "\(@[ \t]*\)[*]\?[\t ]*."
syn match txr_atat "\(@[ \t]*\)@"
syn match txr_comment "\(@[ \t]*\)[#;].*"
syn match txr_contin "\(@[ \t]*\)\\$"
syn match txr_char "\(@[ \t]*\)\\."
syn match txr_error "\(@[ \t]*\)\\[xo]"
syn match txr_char "\(@[ \t]*\)\\x[0-9A-Fa-f]\+;\?"
syn match txr_char "\(@[ \t]*\)\\[0-7]\+;\?"
syn match txr_regdir "\(@[ \t]*\)/\(\\/\|[^/]\|\\\n\)*/"
syn match txr_nested_error "[^\t ]\+" contained
syn match txr_variable "\(@[ \t]*\)[*]\?[ \t]*[A-Za-z_][A-Za-z_0-9]*"
syn match txr_splicevar "@[ \t,*@]*[A-Za-z_][A-Za-z_0-9]*" contained
syn match txr_metanum "@\+[0-9]\+" contained
syn match txr_badesc "\\." contained
syn match txr_escat "\\@" contained
syn match txr_stresc "\\[abtnvfre\\ "`']" contained
syn match txr_numesc "\\x[0-9A-Fa-f]\+;\?" contained
syn match txr_numesc "\\[0-7]\+;\?" contained
syn match txr_regesc "\\[abtnvfre\\ /sSdDwW()\|.*?+~&%\[\]\-]" contained

syn match txr_error "#[^HSRTN]" contained

syn match txr_chr "#\\x[0-9A-Fa-f]\+" contained
syn match txr_chr "#\\o[0-7]\+" contained
syn match txr_chr "#\\[^ \t\nA-Za-z_0-9]" contained
syn match txr_chr "#\\[A-Za-z_0-9]\+" contained
syn match txr_ncomment ";.*" contained

syn match txr_hashbang "\%^#!.*"

syn match txr_dot "\." contained
syn match txr_ident "[A-Za-z_0-9!$%&*+\-<=>?\\_~]*[A-Za-z_!$%&*+\-<=>?\\_~^][A-Za-z_0-9!$%&*+\-<=>?\\_~^]*" contained
syn match tl_ident "[:@][A-Za-z_0-9!$%&*+\-<=>?\\_~^/]\+" contained
syn match txr_braced_ident "[:][A-Za-z_0-9!$%&*+\-<=>?\\_~^/]\+" contained
syn match tl_ident "[A-Za-z_0-9!$%&*+\-<=>?\\_~/]\+[A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]*" contained
syn match txr_pnum "#[xob][+\-]\?[A-Za-z_0-9]\+" contains=txr_xnum,txr_bnum,txr_onum contained
syn match txr_xnum "#x[+\-]\?[0-9A-Fa-f]\+" containedin=txr_pnum contained
syn match txr_onum "#o[+\-]\?[0-7]\+" containedin=txr_pnum contained
syn match txr_bnum "#b[+\-]\?[01]\+" containedin=txr_pnum contained
syn match txr_num "[+\-]\?[0-9]\+\([^A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]\|\n\)"me=e-1 contained
syn match txr_badnum "[+\-]\?[0-9]*[.][0-9]\+\([eE][+\-]\?[0-9]\+\)\?[A-Za-z_!$%&*+\-<=>?\\_~^/#]\+" contained
syn match txr_num "[+\-]\?[0-9]*[.][0-9]\+\([eE][+\-]\?[0-9]\+\)\?\([^A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]\|\n\)"me=e-1 contained
syn match txr_num "[+\-]\?[0-9]\+\([eE][+\-]\?[0-9]\+\)\([^A-Za-z_0-9!$%&*+\-<=>?\\_~^/#]\|\n\)"me=e-1 contained
syn match tl_ident ":" contained
syn match tl_splice "[ \t,]\|,[*]" contained

syn match txr_unquote "," contained
syn match txr_splice ",\*" contained
syn match txr_quote "'" contained
syn match txr_quote "\^" contained
syn match txr_dotdot "\.\." contained
syn match txr_metaat "@" contained

syn match txr_buf_error "[^']" contained
syn match txr_buf_interior "\([0-9A-Fa-f][\n\t ]*[0-9A-Fa-f]\|[\n\t ]\+\)" contained

syn region txr_bracevar matchgroup=Delimiter start="@[ \t]*[*]\?{" matchgroup=Delimiter end="}" contains=txr_num,txr_pnum,tl_ident,tl_splice,tl_metanum,txr_metaat,txr_circ,txr_braced_ident,txr_dot,txr_dotdot,txr_string,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_regex,tl_regex,txr_quasilit,txr_chr,txr_nested_error
syn region tl_bracevar contained matchgroup=Delimiter start="@[ \t]*[*]\?{" matchgroup=Delimiter end="}" contains=txr_num,txr_pnum,tl_ident,tl_splice,tl_metanum,txr_metaat,txr_circ,txr_braced_ident,txr_dot,txr_dotdot,txr_string,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_regex,tl_regex,txr_quasilit,txr_chr,txr_nested_error
syn region txr_directive matchgroup=Delimiter start="@[ \t]*(" matchgroup=Delimiter end=")" contains=txr_keyword,txr_string,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_num,txr_pnum,txr_badnum,tl_ident,tl_regex,txr_string,txr_chr,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_ncomment,txr_nested_error
syn region txr_list contained matchgroup=Delimiter start="\(#[HSRTN]\?\)\?(" matchgroup=Delimiter end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_ign_tok,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,txr_nested_error
syn region txr_bracket contained matchgroup=Delimiter start="\[" matchgroup=Delimiter end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_ign_tok,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,txr_nested_error
syn region txr_mlist contained matchgroup=Delimiter start="@[ \t^',]*(" matchgroup=Delimiter end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_ign_tok,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,txr_nested_error
syn region txr_mbracket matchgroup=Delimiter start="@[ \t^',]*\[" matchgroup=Delimiter end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_ign_tok,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,txr_nested_error
syn region txr_string contained start=+#\?\*\?"+ skip=+\\\n+ end=+["\n]+ contains=txr_stresc,txr_numesc,txr_badesc
syn region txr_quasilit contained start=+#\?\*\?`+ skip=+\\\n+ end=+[`\n]+ contains=txr_splicevar,txr_metanum,tl_bracevar,txr_mlist,txr_mbracket,txr_escat,txr_stresc,txr_numesc,txr_badesc
syn region txr_regex contained start="/" skip=+\\\n+ end="[/\n]" contains=txr_regesc,txr_numesc,txr_badesc
syn region tl_regex contained start="#/" skip=+\\\n+ end="[/\n]" contains=txr_regesc,txr_numesc,txr_badesc
syn region txr_buf contained matchgroup=txr_buf start="#b'" end="'" contains=txr_buf_interior,txr_buf_error
syn region txr_ign_tok contained matchgroup=Comment start="#;" end="[ \(\)\[\]]"me=e   contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_ign_tok,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,txr_nested_error
syn region txr_ign_par contained matchgroup=Comment start="#;[ \t',]*\(#[HSRTN]\?\)\?(" matchgroup=Comment end=")" contains=txr_ign_par_interior,txr_ign_bkt_interior
syn region txr_ign_bkt contained matchgroup=Comment start="#;[ \t',]*\(#[HSRTN]\?\)\?\[" matchgroup=Comment end="\]" contains=txr_ign_par_interior,txr_ign_bkt_interior
syn region txr_ign_bkt contained matchgroup=Comment start="#;[ \t',]*\(#[HSRTN]\?\)\?\[" matchgroup=Comment end="\]" contains=txr_ign_par_interior,txr_ign_bkt_interior
syn region txr_ign_par_interior contained matchgroup=Comment start="(" matchgroup=Comment end=")" contains=txr_ign_par_interior,txr_ign_bkt_interior
syn region txr_ign_bkt_interior contained matchgroup=Comment start="\[" matchgroup=Comment end="\]" contains=txr_ign_par_interior,txr_ign_bkt_interior

syn match txr_jerr "." contained
syn match txr_jpunc "[,: \t\n]" contained
syn match txr_jesc "\\[bfnrt"\\/]" contained
syn match txr_juesc "\\u[0-9A-Fa-f][0-9A-Fa-f][0-9A-Fa-f][0-9A-Fa-f]" contained
syn match txr_jnum "-\?\(0\|[1-9][0-9]*\)\([.][0-9]\+\)\?\([Ee][+-]\?[0-9]\+\)\?" contained
syn match txr_jkeyword "true\|false\|null" contained

syn region txr_jatom contained matchgroup=Delimiter start="#J\^\?[\t\n ]*"rs=e end="[\t\n ]\|[\])}]"re=e-1 contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_junqtok contained matchgroup=Delimiter start="\~" end="[ \(\)\[\]{}]"re=s contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_ign_tok,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,txr_nested_error
syn region txr_junqlist contained matchgroup=Delimiter start="\~\*\?#\?(" end=")" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_ign_tok,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,txr_nested_error
syn region txr_junqbkt contained matchgroup=Delimiter start="\~\*\?\[" end="\]" contains=tl_keyword,txr_string,tl_regex,txr_num,txr_pnum,txr_badnum,tl_ident,txr_metanum,txr_ign_par,txr_ign_bkt,txr_ign_tok,txr_list,txr_bracket,txr_mlist,txr_mbracket,txr_quasilit,txr_chr,txr_buf,txr_quote,txr_unquote,txr_splice,txr_dot,txr_dotdot,txr_metaat,txr_circ,txr_jhash,txr_jarray,txr_jatom,txr_ncomment,txr_nested_error
syn region txr_jstring contained matchgroup=Delimiter start=+"+ end=+["\n]+ contains=txr_jesc,txr_juesc,txr_badesc
syn region txr_jarray contained matchgroup=Delimiter start="#J\^\?[\t\n ]*\[" matchgroup=Delimiter end="\]" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_jhash contained matchgroup=Delimiter start="#J\^\?[\t\n ]*{" matchgroup=Delimiter end="}" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_jarray_in contained matchgroup=Delimiter start="\[" end="\]" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr
syn region txr_jhash_in contained matchgroup=Delimiter start="{" end="}" contains=txr_jarray_in,txr_jhash_in,txr_jkeyword,txr_jstring,txr_jnum,txr_jpunc,txr_junqlist,txr_junqbkt,txr_junqtok,txr_circ,txr_jerr

syn match txr_circ "#[0-9]\+[#=]" contained

hi def link txr_at Special
hi def link txr_atstar Special
hi def link txr_atat Special
hi def link txr_comment Comment
hi def link txr_ncomment Comment
hi def link txr_hashbang Preproc
hi def link txr_contin Preproc
hi def link txr_char String
hi def link txr_keyword Keyword
hi def link tl_keyword Type
hi def link txr_string String
hi def link txr_chr String
hi def link txr_quasilit String
hi def link txr_regex String
hi def link tl_regex String
hi def link txr_regdir String
hi def link txr_variable Identifier
hi def link txr_splicevar Identifier
hi def link txr_metanum Identifier
hi def link txr_escat Special
hi def link txr_stresc Special
hi def link txr_numesc Special
hi def link txr_regesc Special
hi def link txr_badesc Error
hi def link txr_ident Identifier
hi def link tl_ident Identifier
hi def link txr_num Number
hi def link txr_xnum Number
hi def link txr_bnum Number
hi def link txr_onum Number
hi def link txr_badnum Error
hi def link txr_pnum Error
hi def link txr_quote Special
hi def link txr_unquote Special
hi def link txr_splice Special
hi def link txr_dot Special
hi def link txr_dotdot Special
hi def link txr_metaat Special
hi def link txr_circ Special
hi def link txr_munqspl Special
hi def link tl_splice Special
hi def link txr_error Error
hi def link txr_nested_error Error
hi def link txr_buf String
hi def link txr_buf_interior String
hi def link txr_buf_error Error
hi def link txr_ign_par Comment
hi def link txr_ign_bkt_interior Comment
hi def link txr_ign_par_interior Comment
hi def link txr_ign_bkt Comment
hi def link txr_ign_tok Comment

hi def link txr_jkeyword Type
hi def link txr_jnum Number
hi def link txr_jstring String
hi def link txr_jesc Special
hi def link txr_juesc Special
hi def link txr_jpunc Special
hi def link txr_jerr Error

let b:current_syntax = "lisp"

set lispwords=ado,alet,align,alignof,ap,append-each,append-each*,append-each-prod,append-each-prod*,append-match-products,append-matches,aret,array,arraysize,assert,awk,bit,block,block*,bool,buf,buf-d,build,buildn,carray,caseq,caseq*,caseql,caseql*,casequal,casequal*,catch,catch*,catch**,clear-mask,collect-each,collect-each*,collect-each-prod,collect-each-prod*,compare-swap,compile-only,cond,conda,condlet,cptr,dec,defex,deffi,deffi-cb,deffi-cb-unsafe,deffi-struct,deffi-sym,deffi-type,deffi-union,deffi-var,define-accessor,define-modify-macro,define-option-struct,define-param-expander,define-place-macro,define-struct-clause,defmacro,defmatch,defmeth,defpackage,defparm,defparml,defplace,defset,defstruct,defsymacro,defun,defun-match,defvar,defvarl,del,delay,do,dohash,doloop,doloop*,dotimes,each,each*,each-false,each-match,each-match-product,each-prod,each-prod*,each-true,ecaseq,ecaseq*,ecaseql,ecaseql*,ecasequal,ecasequal*,elemsize,elemtype,enum,enumed,equot,etypecase,eval-only,ffi,flet,flip,flow,for,for*,fun,gen,go,gun,handle,handle*,handler-bind,hlet,hlet*,ido,if,if-match,ifa,iflet,ignerr,ignwarn,in-package,ip,json,keep-match-products,keep-matches,labels,lambda,lambda-match,lcons,ldo,let,let*,lnew*,load-for,load-time,lop,lset,mac-env-param-bind,mac-param-bind,macro-time,macrolet,match,match-case,match-ecase,mlet,mul-each,mul-each*,mul-each-prod,mul-each-prod*,nand,new*,nor,obtain,obtain*,obtain*-block,obtain-block,offsetof,op,pdec,pic,pinc,placelet,placelet*,pop,pop-after-load,pprof,prof,prog,prog*,prog1,prog2,progn,ptr,ptr-in,ptr-in-d,ptr-out,ptr-out-d,ptr-out-s,push,push-after-load,pushnew,ret,return,return-from,rlet,rslot,sbit,set-mask,sizeof,slet,some-false,some-true,splice,struct,sum-each,sum-each*,sum-each-prod,sum-each-prod*,suspend,symacrolet,sys:abscond-from,sys:arith-each,sys:awk-fun-let,sys:awk-mac-let,sys:awk-redir,sys:awk-symac-let,sys:blk,sys:catch,sys:conv,sys:conv-expand-sym,sys:dlib-expr,sys:dvbind,sys:each-op,sys:expr,sys:fbind,sys:fixed-point,sys:for-op,sys:l1-val,sys:lbind,sys:lisp1-value,sys:load-time-lit,sys:path-examine,sys:placelet-1,sys:rewrite-case,sys:splice,sys:struct-lit,sys:switch,sys:txr-case-impl,sys:unquote,sys:upenv,sys:var,sys:when-exprs-match,sys:with-disabled-debugging,tagbody,tb,tc,test-clear,test-dec,test-inc,test-set,trace,tree-bind,tree-case,txr-case,txr-if,txr-when,typecase,typedef,ubit,union,unless,unquote,until,until*,untrace,unwind-protect,upd,uref,when,when-match,whena,whenlet,while,while*,while-match,while-match-case,while-true-match-case,whilet,with-clobber-expander,with-compilation-unit,with-delete-expander,with-dyn-lib,with-gensyms,with-hash-iter,with-in-buf-stream,with-in-string-byte-stream,with-in-string-stream,with-objects,with-out-buf-stream,with-out-string-stream,with-out-strlist-stream,with-resources,with-slots,with-stream,with-update-expander,yield,yield-from,zap,zarray,znew,:method,:function,:init,:postinit,:fini
set comments=:@\;\;\;,:@\;\;,:@\;
